%global extension   no-overview
%global uuid        %{extension}@fthx

Name:           gnome-shell-extension-%{extension}
Version:        11
Release:        2%{?dist}
Summary:        GNOME Shell extension for no overview at start-up
License:        GPLv3
URL:            https://extensions.gnome.org/extension/4099/no-overview/
Source0:        https://extensions.gnome.org/extension-data/no-overviewfthx.v%{version}.shell-extension.zip
Source1:        https://raw.githubusercontent.com/fthx/no-overview/main/LICENSE#/%{extension}-LICENSE
Source2:        https://raw.githubusercontent.com/fthx/no-overview/main/README.md#/%{extension}-README.md
#Patch0:         %%{name}-HEAD.patch
BuildArch:      noarch
# rhbz#2001561 Delete to require gnome-shell-extension-common
#Requires:       gnome-shell-extension-common
Recommends:     gnome-extensions-app


%description
GNOME Shell extension for no overview at start-up. For GNOME Shell 40+.

%prep
%autosetup -cn %{name}-%{version}
cp -p %SOURCE1 LICENSE
cp -p %SOURCE2 README.md

%build
# Nothing to build here

%install
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install main extension files
cp -rp *.js metadata.json \
  %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

%files
%doc README.md
%license LICENSE
%{_datadir}/gnome-shell/extensions/%{uuid}


%changelog
* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 18 2022 Takao Fujiwara <tfujiwar@redhat.com> - 11-1
- Bump to 11

* Tue Jan 18 2022 Takao Fujiwara <tfujiwar@redhat.com> - 8-90
- Add gnome-shell-42

* Tue Sep 07 2021 Takao Fujiwara <tfujiwar@redhat.com> - 8-4
- Workaround #2001561 Delete to require gnome-shell-extension-common

* Tue Aug 24 2021 Takao Fujiwara <tfujiwar@redhat.com> - 8-3
- Add gnome-shell-41

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 15 2021 Takao Fujiwara <tfujiwar@redhat.com> - 8-1
- Resolves #1969604 activates after unlock

* Wed Apr 14 2021 Takao Fujiwara <tfujiwar@redhat.com> - 4-1
- Initial integration
